Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.monitor
Class StatusMonitor

    java.lang.Object
      com.sun.mdm.index.monitor.StatusMonitor

All Implemented Interfaces:
  StatusMonitorMBean

public class StatusMonitor
extends java.lang.Object
implements StatusMonitorMBean

Constructor Summary
`StatusMonitor(MasterControllerCore masterControllerCore, java.lang.String objectName)`

Method Summary
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getAppStatus()`
`java.lang.String` | `getDbStatus()`
`java.lang.String` | `getWebStatus()`
`void` | `setAppStatus(java.lang.String status)`
`void` | `setDbStatus(java.lang.String status)`
`void` | `setWebStatus(java.lang.String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusMonitor

    public StatusMonitor(MasterControllerCore masterControllerCore,
                         java.lang.String objectName)

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

  Description copied from interface: `StatusMonitorMBean`
  get the Application Name

  Specified by:
    `getApplicationName` in interface `StatusMonitorMBean`
  Returns:

### getAppStatus

    public java.lang.String getAppStatus()

  Specified by:
    `getAppStatus` in interface `StatusMonitorMBean`
  Returns:
    the Application status Up or Down

### getDbStatus

    public java.lang.String getDbStatus()

  Description copied from interface: `StatusMonitorMBean`
  checks the Database status Up or Down

  Specified by:
    `getDbStatus` in interface `StatusMonitorMBean`
  Returns:

### getWebStatus

    public java.lang.String getWebStatus()

  Description copied from interface: `StatusMonitorMBean`
  get the WebApp Status

  Specified by:
    `getWebStatus` in interface `StatusMonitorMBean`
  Returns:

### setAppStatus

    public void setAppStatus(java.lang.String status)

### setDbStatus

    public void setDbStatus(java.lang.String status)

### setWebStatus

    public void setWebStatus(java.lang.String status)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.